/**
 *
 * $Id: VkRadioSubMenu.h,v 1.2 1995/04/20 05:32:07 toshok Exp $
 *
 * This file contains the class definition of the VkRadioSubMenu class,
 * which allows the programmer to specify radio behavior among menu
 * items in different heirarchies.
 *
 * Chris Toshok
 * Copyright (C) 1995
 * The Hungry Programmers, Inc
 * All Rights Reserved
 *
 **/

#ifndef VKRADIOSUBMENU_H
#define VKRADIOSUBMENU_H

#include <Vk/VkConfig.h>
#include <Vk/VkSubMenu.h>
#include <Xm/RowColumn.h>
#include <Xm/CascadeBG.h>

class VkRadioSubMenu : public VkSubMenu {
public:
  VkRadioSubMenu(const char *name,
 		 VkMenuDesc *menuDesc = NULL,
 		 XtPointer defaultClientData = NULL);

  VkMenuItemType menuType();

  const char *className();

  void _instantiate(Widget parent);
};

#endif // VKRADIOSUBMENU_H
